MeetBenny
	LD HL,BennyStatus
	LD A,(HL)
	OR A
	JR NZ,MeetBenny2

;Status =0 - first talk
	INC (HL)				;change status to 1

	LD HL,SlumAlley1
	LD (Money_ItemData),HL	;place money in location
	LD A,1
	CALL TypeMessage
	RET

MeetBenny2
	CP 1
	JR NZ,MeetBenny3
	
;status=1 - waiting for pill	
	LD A,(ChosenItem)
	CP 2
	RET NZ					;no pill
	
	LD A,2					;"go away"-status
	LD (HL),A
	
	LD HL,SlumAlley1
	LD (Gin_ItemData),HL	;place gin in location
	
	LD A,2
	CALL TypeMessage
	CALL KillItemHeld
	CALL IncreaseScore
	RET

MeetBenny3
;status 2 - Benny says to go away, unless there is a phone case
	LD HL,PhoneStatus
	LD A,(HL)
	CP 1
	JR Z,MeetBenny4
	
	LD A,3
	CALL TypeMessage
	RET
	
MeetBenny4	
	INC (HL)				;change phone status to 2
	LD A,52
	CALL TypeMessage
	LD A,53
	CALL TypeMessage
	RET

;---------------
MeetDrunk
	LD HL,DrunkStatus
	LD A,(HL)
	OR A
	JR NZ,MeetDrunk2	

;meet drunk for the first time	
	INC (HL)
	LD A,6
	CALL TypeMessage
	RET
	
MeetDrunk2	
	CP 1
	JP NZ,ItemEvents	;status>1 -> drunk got gin already	

	LD A,(ChosenItem)
	CP 3				;gin?
	RET NZ
	
	INC (HL)			;status=2
	
	LD HL,SlumClothes
	LD (Saw_ItemData),HL	;place saw in location
	
	LD A,7
	CALL TypeMessage
	CALL KillItemHeld
	CALL IncreaseScore
	RET
	
;---------------
GetBranch
	LD HL,BranchStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents
	
	LD A,(ChosenItem)
	CP 6					;block?
	JP NZ,ItemEvents
	
	INC (HL)				;change status	
	
	LD HL,SlumTree
	LD (Branch_ItemData),HL
	LD A,20
	CALL TypeMessage
	CALL KillItemHeld
	CALL IncreaseScore
	RET
	
;---------------
GetClothes
	LD HL,ClothesStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents
	
	LD A,(ChosenItem)
	CP 7					;branch?
	JP NZ,ItemEvents
	
	INC (HL)				;change status	
	
	LD HL,SlumClothes
	LD (Cloth_ItemData),HL
	LD A,21
	CALL TypeMessage
	CALL IncreaseScore
	RET
	
;---------------
EnterWasteDump
	LD HL,WasteLockStatus
	LD A,(HL)
	OR A
	JR NZ,EnterWasteDump2
	
	LD A,(ChosenItem)
	CP 4				;saw
	JP NZ,ItemEvents
	
;cut lock
	INC (HL)			;change status	
	LD A,22
	CALL TypeMessage
	CALL IncreaseScore
	RET
	
EnterWasteDump2	
;go through gates
	LD DE,WasteDump1
	LD BC,80*256+56				
	CALL GoIntoNewLocation
	RET
	
;---------------
GetSpanner
	LD HL,SpannerStatus
	LD A,(HL)
	OR A
	JR NZ,GetSpanner2	
	
;watch waste for the fisrt time
	INC (HL)		;change status	
	LD A,23
	CALL TypeMessage
	RET
	
GetSpanner2	
	CP 1
	JP NZ, ItemEvents	;spanner aready found
	
	LD A,(ChosenItem)
	CP 7				;branch?
	JP NZ, ItemEvents
	
	INC (HL)			;change status
	LD HL,WasteDump1	;spaner appears		
	LD (Spanner_ItemData),HL
	LD A,24
	CALL TypeMessage
	CALL IncreaseScore
	RET
	
;---------------
GetBattery
	LD HL,BatteryStatus
	LD A,(HL)
	OR A
	JR NZ,GetBattery2
	
;see car for the first time	
	INC (HL)
	LD A,8
	CALL TypeMessage
	RET
	
GetBattery2
	CP 1
	JP NZ,ItemEvents	;battery already taken
	
	LD A,(ChosenItem)
	CP 9				;spanner?
	JP NZ,ItemEvents
	
	LD A,(UnchosenItem)
	CP 5				;pipe?	
	JR NZ,GetBattery3
	
;taking battery	
	INC (HL)			;change battery status
	LD HL,SlumCar
	LD (Battery_ItemData),HL
	LD A,26				
	CALL TypeMessage
	CALL IncreaseScore	
	RET
	
GetBattery3	
	LD A,25				;don't have pipe can't uncrew battery
	CALL TypeMessage
	RET
	
;---------------
GetDoormat
	LD HL,DoormatStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents	;doormat already taken
	
;taking doorrmat	
	INC (HL)			;change status
	LD HL,SlumHouse1
	LD (Doormat_ItemData),HL
	LD A,27	
	CALL TypeMessage
	RET
	
;--------------
GoBasement
	LD HL,BasementDoorStatus
	LD A,(HL)
	OR A
	JR NZ,GoBasement2	;bars already cut

	LD A,(ChosenItem)
	CP 4				;saw?
	JP NZ,ItemEvents
	
	INC (HL)			;change status
	
	LD HL,SlumHouse2	;pipe appears
	LD (Pipe_ItemData),HL
	
	LD A,32		
	CALL TypeMessage
	CALL IncreaseScore
	RET

GoBasement2
	LD A,(BasementPowerStatus)
	OR A
	JR NZ,GoBasement3	
	LD A,33				;lights not work text
	CALL TypeMessage
	RET
	
GoBasement3	
;go into basement
	LD DE,SlumHouse3
	LD BC,80*256+35				
	CALL GoIntoNewLocation

	RET

;---------------
LoadBattery
	LD HL,ElectroboxStatus
	LD A,(HL)
	OR A
	JR NZ,LoadBattery2

;status =0, testing for doormat
	LD A,(ChosenItem)
	CP 11						;doormat
	JR Z,LoadBattery13


;electrical shock	
LoadBattery11
	LD B,7
LoadBattery12	
	PUSH BC
	CALL SoundB
	POP BC
	DJNZ LoadBattery12	
	
	LD A, 30
	CALL TypeMessage
;decrease energy
	LD B,15
	CALL DecreaseEnergy
	RET

;drop doormat	
LoadBattery13
	INC (HL)			;status=1
	LD A,29		
	CALL TypeMessage
	CALL KillItemHeld
	CALL IncreaseScore
	RET		
	

LoadBattery2
	CP 1
	JR NZ,LoadBattery3
	
;using saw
	LD A, (ChosenItem)
	CP 4
	JP NZ,ItemEvents
	INC (HL)			;status=2
		
	LD A,28		
	CALL TypeMessage
	CALL IncreaseScore
	RET
	
;loading battery	
LoadBattery3
	CP 2
	JP NZ,ItemEvents	;battery already loaded

	LD A,(ChosenItem)
	CP 12				;wire?
	JP NZ,ItemEvents
	LD A,(UnchosenItem)
	CP 10				;battery?
	JP NZ,ItemEvents
	
	INC (HL)			;status=3 - battery loaded
	LD A, 31
	CALL TypeMessage
	CALL KillItemHeld
	CALL IncreaseScore
	RET
	
;---------------
ConnectBattery
	LD HL,BasementPowerStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents
	
	LD A,(ChosenItem)
	CP 10						;battery?
	JP NZ,ItemEvents
	
	LD A,(ElectroboxStatus)		;battery loaded?
	CP 3
	JP NZ,ItemEvents
	
;connect battery to circuit	
	INC (HL)					;basement power status = 1
	
	LD A,34
	CALL TypeMessage
	CALL KillItemHeld
	CALL IncreaseScore
	RET
		
;---------------
MakeGasMask	
	LD HL,GasMaskStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents		;gas mask already created
	
	LD A,(ChosenItem)
	CP 8				;clothes
	JP NZ, ItemEvents
	
	INC (HL)			;change status
	
	LD HL,SlumHouse3
	LD (Mask_ItemData),HL	;mask appears
	LD A,44
	CALL TypeMessage
	CALL KillItemHeld	;destroy clothes item
	CALL IncreaseScore
	RET
	
;---------------
TakeSpectrum
	LD HL,TakeSpectrumStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents			;Spectrum already taken
	INC (HL)					;change status
	LD HL,SlumHouse3
	LD (Spectrum_ItemData),HL
	LD A,47
	CALL TypeMessage
	RET
	
;------------------
FindPhone
	LD HL,PhoneStatus
	LD A,(HL)
	CP 2						;after talking to Benny
	JP NZ,ItemEvents
	INC (HL)					;change status to 3
	
	LD HL,SlumAlley2
	LD (Phone_ItemData),HL
	LD A,54
	CALL TypeMessage
	CALL IncreaseScore
	RET

;---------------
MeetGuard
	;JR MeetGuard4			;TEMP!

	LD A,(GateStatus)
	OR A
	JR NZ,MeetGuard4		;payed to guards already
	
	LD A,(ChosenItem)
	CP 14					;phone?
	JR NZ,MeetGuard2		;no
	LD A,(CashStatus)
	CP 1					;have cash
	JR NZ,MeetGuard2		;no
	
;paying the guards
	LD A,1
	LD (GateStatus),A
	LD A,57
	CALL TypeMessage
	CALL IncreaseScore
	JR MeetGuard3
	
	
MeetGuard2
;get lost talk
	LD A,9
	CALL TypeMessage
	LD A,10
	CALL TypeMessage
	LD A,11
	CALL TypeMessage
	RET
	
MeetGuard3
;going through gate for the first time - demo
	CALL Demo1
	CALL DrawMenu
	
	
MeetGuard4
;go through gate
	LD DE,SlumExit2
	LD BC,80*256+46				
	CALL GoIntoNewLocation	
	RET

;---------------	
MeetDealer
	LD A,12
	CALL TypeMessage
	
	LD A,(PlaceboStatus)
	CP 1
	JP Z,MeetDealer_Placebo
	
	LD A,(ChosenItem)
	CP 1					;money
	JR Z,MeetDealer_Pill	
	CP 13					;spectrum
	JR Z,MeetDealer_Spectrum
	CP 14					;cell phone
	JR Z,MeetDealer_Translator
	
	
	LD A,13
	CALL TypeMessage
	RET
	
;----	
MeetDealer_Pill
	LD A,14
	CALL TypeMessage
	
	LD HL,SlumDealer
	LD (Pill_ItemData),HL	;place pill in location
	
	LD A,15
	CALL TypeMessage
	CALL KillItemHeld
	RET
	
;-----
MeetDealer_Spectrum
	LD HL,PhoneStatus
	LD A,(HL)
	OR A
	JR NZ,MeetDealer_Spectrum2	
;first conversation about Spectrum, Ron discovers phone loss
	INC (HL)				;change phone status
	LD A,48
	CALL TypeMessage
	LD A,49
	CALL TypeMessage
	LD A,50
	CALL TypeMessage
	LD A,51
	CALL TypeMessage
	RET
	
MeetDealer_Spectrum2
	LD A,(UnchosenItem)
	CP 14					;phone?	
	JR Z,MeetDealer_Spectrum3
	LD A,13					;no phone - end conversation
	CALL TypeMessage
	RET
	
MeetDealer_Spectrum3
	LD A,55
	CALL TypeMessage
	LD A,56
	CALL TypeMessage
	CALL IncreaseScore
	CALL KillItemHeld
	LD A,1
	LD (CashStatus),A
	RET
	
;-----------
MeetDealer_Translator
	LD A,(TranslatorStatus)
	CP 1					;translator needed?
	JR Z,MeetDealer_Translator2
	
	LD A,13					;not needed
	CALL TypeMessage
	RET
	
MeetDealer_Translator2
	LD A,2					;get translator
	LD (TranslatorStatus),A
	LD A,72
	CALL TypeMessage
	LD A,73
	CALL TypeMessage
	CALL IncreaseScore
	RET
;----------
MeetDealer_Placebo
	LD A,(ChosenItem)
	CP 14					;cell phone with money
	JR NZ,MeetDealer_Placebo2
	
	LD A,2					;get placebo
	LD (PlaceboStatus),A
	
	LD A,105
	CALL TypeMessage
	LD A,106
	CALL TypeMessage
	CALL IncreaseScore
	RET
		
MeetDealer_Placebo2			;don't have phone
	LD A,13
	CALL TypeMessage
	RET
	
	
;---------------	
MeetDog
	LD HL,DogStatus
	LD A,(HL)
	OR A
	JR NZ,MeetDog2
	
;see dog for the first time	
	INC (HL)	
	LD A,16
	CALL TypeMessage
	RET
	
MeetDog2
	LD A,(ChosenItem)
	CP 18			;meat?
	JP NZ,ItemEvents
;give meat to dog
	CALL KillItemHeld
	CALL IncreaseScore
	LD HL,WasteDump2
	LD (Collar_ItemData),HL
	LD A,62
	CALL TypeMessage
	RET
	
;---------------	
MeetGina
	LD HL,GinaStatus
	LD A,(HL)
	OR A
	JR NZ,MeetGina2

;first talk	
	INC (HL)	;change status
	LD A,17
	CALL TypeMessage
	LD A,18
	CALL TypeMessage
	LD A,19
	CALL TypeMessage
	RET
	
MeetGina2
	LD A,(GuardianStatus)
	CP 3					;searching for pendant
	JR Z,MeetGina3

	LD A,(ChosenItem)
	CP 17				;cookie
	JP NZ,ItemEvents
	
;take cookie drop gun	
	LD A,58
	CALL TypeMessage
	
	CALL KillItemHeld
	LD HL,Red_1
	LD (Gun_ItemData),HL
	CALL IncreaseScore
	LD A,59
	CALL TypeMessage
	RET
	
;talk about pendant
MeetGina3
	LD A,82
	CALL TypeMessage
	LD A,85
	CALL TypeMessage
	RET
	
;--------------
TalkLaToya
	LD HL,LaToyaStatus
	LD A,(HL)
	OR A
	JR NZ,TalkLaToya2
	
;talk for the first time
	INC (HL)			;change status
	LD A,81				
	CALL TypeMessage
	RET	
	
TalkLaToya2
	LD HL,GuardianStatus
	LD A,(HL)
	CP 3
	RET NZ
;asking for pendant
	INC (HL)
	LD A,82
	CALL TypeMessage
	LD A,83
	CALL TypeMessage
	LD A,84
	CALL TypeMessage
	
	LD A,1
	LD (ManholeStatus),A
	
	RET
	
;--------------
EnterAliceHouse
	LD HL,AliceStatus
	LD A,(HL)
	CP 1						;status 0,2,3 -may enter, 1-can't,waiting for bath and rose
	JR Z,EnterAliceHouse2
	
;entering
EnterAliceHouse1
	LD DE,AliceRoom
	LD BC,80*256+34				
	CALL GoIntoNewLocation
	RET		
	
;checking if may enter	
EnterAliceHouse2
	LD A,(RefreshStatus)
	CP 3
	JR NZ,EnterAliceHouse4		;not refreshed

	LD A,(ChosenItem)
	CP 25						;rose?
	JR Z,EnterAliceHouse3
	LD A,(UnchosenItem)
	CP 25		
	JR Z,EnterAliceHouse3		
	JR EnterAliceHouse4			;can't enter, don't carry rose
	
;meeting conditions to enter	
EnterAliceHouse3
	INC (HL)					;status=2, may enter since now
	CALL IncreaseScore
	LD A,94
	CALL TypeMessage
	JR EnterAliceHouse1
	
EnterAliceHouse4
;entrance forbidden	
	LD A,37
	CALL TypeMessage
	RET
	
	
	

		
;--------------
MeetAlice
	LD HL,AliceStatus
	LD A,(HL)
	CP 1
	JR Z,MeetAlice1			;Alice tells to go out
	CP 2
	JR Z,MeetAlice2			;Alice kidnapped
	CP 3					
	RET Z					;after reading kidnap note
	
;see for the first time	
	INC (HL)			
	LD A,38
	CALL TypeMessage
	LD A,39
	CALL TypeMessage
	LD A,40
	CALL TypeMessage

MeetAlice1	
;"get lost" message 	
	LD A,41
	CALL TypeMessage
	RET

MeetAlice2
;kidnap note
	INC (HL)				;status=3 so won't read the note later again
	LD A,91
	CALL TypeMessage
	LD A,92
	CALL TypeMessage
	LD A,93
	CALL TypeMessage
	
	LD A,1					;now Ron can enter the temple
	LD (TempleStatus),A
	RET
	
;--------------
EnterGayClub
	LD HL,GayClubStatus
	LD A,(HL)
	OR A
	JR NZ,EnterGayClub2	
	
	INC (HL)
	LD A,35
	CALL TypeMessage
	
EnterGayClub2
	LD DE,GayClub2
	LD BC,72*256+196				
	CALL GoIntoNewLocation	
	
	RET
	
;----------------
BuyMeat
	LD HL,ManholeStatus
	LD A,(HL)
	CP 2
	JR Z,BuyMeat2			;getting the meat hook,when necessary
	
	
	LD A,(MeatStatus)
	OR A
	JP NZ,ItemEvents		;already buy meat
	
	LD A,60
	CALL TypeMessage		;buy meat text 1
	
	LD A,(ChosenItem)
	CP 14					;phone?
	JP NZ,ItemEvents
	
	LD HL,MeatStatus
	INC (HL)
	LD HL,China4
	LD (Meat_ItemData),HL
	LD A,61
	CALL TypeMessage
	
	LD HL,PhoneBatteryStatus	;battery ends when bought meat and cookie
	INC (HL)
	LD A,(HL)
	CP 2
	RET NZ
	LD A,74
	CALL TypeMessage		;dead battery message
	RET
	
BuyMeat2
;nor really buy meat, but get a meat hook	
	INC (HL)					;manhole status=3 so don't ask for hook again
	LD HL,China4
	LD (Hook_ItemData),HL		;hook appears
	LD A,87
	CALL TypeMessage
	RET
	
;-----------------
TalkGay
	LD HL,GayStatus
	LD A,(HL)
	OR A
	JR NZ,TalkGay2	
;first talk	
	INC (HL)
	LD A,63
	CALL TypeMessage
	RET
	
TalkGay2	
	LD A,(ChosenItem)
	CP 19			;collar
	JP NZ,ItemEvents
;give collar	
	LD A,64
	CALL TypeMessage
	LD A,65
	CALL TypeMessage
	CALL KillItemHeld
	LD A,2
	LD (RefreshStatus),A
	RET
	
;--------------
TakeBath
	LD HL,RefreshStatus
	LD A,(HL)
	OR A
	JR NZ,TakeBath2
	
;entering bathtub for the first time
	INC (HL)			;status=1	
	LD A,66
	CALL TypeMessage
	RET
TakeBath2	
	CP 2		;ready to bath?
	JR Z,TakeBath3
	JP ItemEvents	;no, can't yet or after
	
TakeBath3	
	INC (HL)		;status=3
	LD A,67
	CALL TypeMessage
	CALL IncreaseScore
	RET

;------------------
UseBooth
	LD HL,BoothStatus
	LD A,(HL)
	OR A
	JR NZ,UseBooth2	
	INC (HL)			;change status
	LD A,68				;see booth for the first time - info
	CALL TypeMessage
	RET
UseBooth2
	LD A,(ChosenItem)
	CP 14				;phone?
	JP NZ,ItemEvents
	
	LD HL,PhoneBatteryStatus
	LD A,(HL)
	CP 2				;status 2 = battery empty
	JP NZ,ItemEvents
;charging battery
	INC (HL)			;status=3,battery charged	
	LD A,75
	CALL TypeMessage
	LD A,76
	CALL TypeMessage
	CALL IncreaseScore
	LD A,1
	LD (OldManStatus),A	;old man appears at bar
	
	RET
	
;------------------
TalkCheng
	LD A,(ChosenItem)
	CP 14					;cell phone?
	JR NZ,TalkCheng_NotUnderstood
	LD A,(TranslatorStatus)
	CP 2					;translator software installed?
	JR Z,TalkCheng_Understood
	JR TalkCheng_NotUnderstood
	
	
TalkCheng_NotUnderstood
	LD A,(TranslatorStatus)
	OR A
	JR NZ,TalkCheng_NotUnderstood2
	LD A,1
	LD (TranslatorStatus),A		;if Ron didn't know that he needs tranlator (0), now he knows it (1)
	
TalkCheng_NotUnderstood2
;cheng talks in  chinese
	LD HL,18432+208
	LD BC,10*256+4
	CALL  DrawBorder
	LD HL,18432+241
	LD DE,CLetter1
	CALL DrawTile
	LD HL,18432+243
	LD DE,CLetter5
	CALL DrawTile
	LD HL,18432+245
	LD DE,CLetter3
	CALL DrawTile
	LD HL,18432+247
	LD DE,CLetter2
	CALL DrawTile
	CALL SoundA
	CALL TypeMessage2		;waiting for fire
;Ron answers
	LD A,69
	CALL TypeMessage	
	RET

TalkCheng_Understood
	LD HL,ChengStatus
	LD A,(HL)
	OR A
	JR NZ,TalkCheng_Understood2
	
;status=0 - buying cookie
	INC (HL)					;Cheng status=1
	LD A,70
	CALL TypeMessage	
	
	CALL IncreaseScore
	LD HL,China2
	LD (Cookie_ItemData),HL		;cookie appears
	
	LD A,71
	CALL TypeMessage
	
	LD HL,PhoneBatteryStatus	;battery ends when bought meat and cookie (status=2)
	INC (HL)
	LD A,(HL)
	CP 2					
	RET NZ
	LD A,74
	CALL TypeMessage		;dead battery message
	RET
	
TalkCheng_Understood2
	RET

;----------------
TalkOldMan
	LD A,(OldManStatus)
	OR A
	JP Z, ItemEvents
	
	CALL BarMeet
	XOR A
	LD (OldManStatus),A		;old man dissapears after talk
	LD A,1
	LD (GuardianStatus),A	;guardian now needs help
	
	CALL DrawMenu
	LD DE,SlumStreet2		;after the talk Ron finds himselt in the streets
	
	
	LD BC,80*256+46				
	CALL GoIntoNewLocation	
	
	RET
	
;----------------
TalkTempleGuard
	LD HL,GuardianStatus
	LD A,(HL)
	OR A
	RET Z					;guard didn't lost pendant yet
	CP 3
	JR NC,TalkTempleGuard2	;status equal or bigger to 3
	CP 4
	JP Z,ItemEvents			;after giving back pendant
	
;status=2, talking (status 1 won't happen here)
	INC (HL)			;set status for 3
	LD A,79
	CALL TypeMessage
	LD A,80
	CALL TypeMessage
	
TalkTempleGuard2	
	LD A,(ChosenItem)
	CP 26					;pendant?
	JP NZ,ItemEvents
	
;giving back pendant
	INC (HL)				;status=4
	CALL KillItemHeld
	CALL IncreaseScore
	LD HL,China5
	LD (Key_ItemData),HL
	LD A,99
	CALL TypeMessage
	RET
	
	
;-----------
EnterTemple
	LD A,(TempleStatus)
	OR A
	JR NZ,EnterTemple2
	
	LD A,77
	CALL TypeMessage
	RET
	
EnterTemple2
	LD A,100
	CALL TypeMessage

	LD DE,Temple1		;after the talk Ron finds himselt in the streets
	LD BC,72*256+195				
	CALL GoIntoNewLocation	
	RET
	
;-------------
GoManhole
	LD HL,ManholeStatus
	LD A,(HL)
	OR A
	RET Z				;status=0,don't care at the moment
	
	CP 1				;status=1, trying to open	
	JR Z,GoManhole1
	
	CP 4
	JR Z,GoManhole3		;opened, go into sewers
	
	JR GoManhole2		;scan for hook
	
;status=1,trying to open text	
GoManhole1
	INC (HL)			;change status to 2
	LD A,86
	CALL TypeMessage
	RET
	
GoManhole2
;checking for the hook to open
	LD A,(ChosenItem)
	CP 22				;hook
	JP NZ,ItemEvents
	
	LD A,4
	LD (ManholeStatus),A	;set status to open
	
	LD A,88
	CALL TypeMessage
	CALL IncreaseScore
	RET


GoManhole3
	LD DE,Sewers1
	LD BC,72*256+247				
	CALL GoIntoNewLocation	
	RET
	
;---------------------
EnterGarden
	LD HL,GardenStatus
	LD A,(HL)
	OR A
	JR NZ,EnterGarden2
	
	
;see garden gate for the first time
	INC (HL)				;status=1
	LD A,89
	CALL TypeMessage
	RET
	
EnterGarden2
;check for key
	LD A,(ChosenItem)
	CP 24				;key?
	JP NZ,ItemEvents

;go through gate
	LD DE,Garden2
	LD BC,80*256+43			
	CALL GoIntoNewLocation	
	RET

;---------------------
GetRose
	LD HL,RoseStatus
	LD A,(HL)
	OR A
	RET NZ				;rose already taken
	
	LD A,(ChosenItem)
	CP 21				;scissors
	JP NZ,ItemEvents
;taking rose
	INC (HL)
	CALL KillItemHeld
	CALL IncreaseScore
	
	LD HL,Garden2
	LD (Rose_ItemData),HL	;rose appears
	
	LD A,90
	CALL TypeMessage
	RET	
;-----------------------
DropBarrel
	LD HL,BarrelStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents		;barrel already dropped
	
	LD A,(ChosenItem)
	CP  23					;barrel?
	JP NZ,ItemEvents
	
;dropping barrel
	INC (HL)				;change barrel status
	CALL KillItemHeld
	CALL IncreaseScore
	LD A,95
	CALL TypeMessage
	RET
	
;-----------------------
FindGrease
	LD HL,GreaseStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents
	
	INC (HL)			;status=1 
	LD HL,Parking
	LD (Grease_ItemData),HL
	LD A,96
	CALL TypeMessage
	RET
	
;-----------------------
PullSwitch
	LD HL,SwitchStatus
	LD A,(HL)
	CP 1
	JR Z,PullSwitch2
	CP 2
	JP Z,ItemEvents
	
;status=0 see the switch for the first time	
	INC (HL)
	LD A,97
	CALL TypeMessage
	RET
	
PullSwitch2
	LD A,(ChosenItem)
	CP 20				;grease?
	JP NZ,ItemEvents
	
;using grease
	INC (HL)			;status=2
	CALL KillItemHeld
	CALL IncreaseScore
	LD A,98
	CALL TypeMessage
	RET

;-----------------
TalkGuru
	LD HL,GuruStatus
	LD A,(HL)
	
		
	CP 1
	JP Z,ItemEvents
	CP 3
	JP Z,ItemEvents
	CP 2
	JR Z,TalkGuru2
	
;status=0 - 1st talk
	INC (HL)			;status=1	
	LD A,101
	CALL TypeMessage
	LD A,102
	CALL TypeMessage
	RET
	
;status=2 - get prize	
TalkGuru2
	INC (HL)			;status=3
	LD A,107
	CALL TypeMessage
	LD A,108
	CALL TypeMessage
	LD A,109
	CALL TypeMessage
	
	LD HL,Temple1
	LD (Crystal_ItemData),HL	;crystal appears
	
	LD A,110
	CALL TypeMessage
	
	CALL IncreaseScore

	RET
		
	
;------------------
ExitBridge
	LD HL,GuruStatus
	LD A,(HL)
	CP 3
	JR Z,ExitBridge2
	LD A,2
	LD (HL),A

ExitBridge2
	LD DE,Temple1
	LD BC,72*256+217			
	CALL GoIntoNewLocation	
	RET
	
;-----------------------
GoToHarbour
	LD A,(AliceStatus)
	CP 3
	JP NZ,ItemEvents

	CALL FinalIntro	
	
	CALL DrawMenu
	LD DE,Harbour3
	LD BC,80*256+43			
	CALL GoIntoNewLocation	
	RET
	
;-----------------------
BadManTalk
	LD A,(BadManStatus)
	OR A
	JR NZ,BadManTalk3	
	
	LD A,111
	CALL TypeMessage
	LD A,112
	CALL TypeMessage
	LD A,117
	CALL TypeMessage
	
;holding crystal?	
	LD A,(ChosenItem)
	CP 27
	JR Z,BadManTalk2	
	LD A,(UnchosenItem)
	CP 27
	JR Z,BadManTalk2
	
;death	
	LD A,118
	CALL TypeMessage
	JP GameOver
	
BadManTalk2	
	LD A,119
	CALL TypeMessage
	
	LD HL,BadManStatus		;bad guys starts to fire
	INC (HL)
	
	CALL IncreaseScore
	LD A,120
	CALL TypeMessage
	RET

BadManTalk3	
;after the talk, check for using gun by Ron
	LD A,(ChosenItem)
	CP 15
	JP NZ,ItemEvents
	
;shootout death	
	LD A,121
	CALL TypeMessage
	JP GameOver
	
	
;-------------------	
BarrelsExplode	
	LD A,(BadManStatus)
	OR A
	JP Z,ItemEvents			;destroy barrels only when bad guy is shooting
	
	LD HL,BlockadeStatus
	LD A,(HL)
	OR A
	JP NZ,ItemEvents		;already destroyed
	
	LD A,(ChosenItem)
	CP 15					;gun?
	JP NZ,ItemEvents
	
	INC (HL)				;change barrels status
	CALL IncreaseScore
	
	LD A,115
	CALL TypeMessage
	RET
	
;-------------------
PullHandle
	LD A,116
	CALL TypeMessage
	JP Ending