SlumStreet3_Code
	LD DE,Electro_Locked
	LD A,(ElectroboxStatus)
	CP 2
	JR C,SlumStreet3_Code2	;status 0,1 ->locked, status 2,3 ->open
	LD DE,Electro_Open
	
SlumStreet3_Code2	
	LD HL,20490+96
	CALL DrawTile
	RET
	
;--------
SlumTrash_Code
	LD A,(WasteLockStatus)
	OR A
	RET NZ					;don't draw lock if already cut
	
	LD HL,20624
	LD DE,WasteLock
	CALL DrawTile
	RET	


;--------
SlumHouse1_Code
	LD HL,20485
	LD BC,5*256+8
	CALL DrawDoor
	LD HL,20503
	LD BC,5*256+8
	CALL DrawDoor
	
	LD A,(BasementPowerStatus)
	OR A
	RET Z
	
;draw connected battery	
	LD HL,20657
	LD DE,Battery_Item
	CALL DrawTile
	
	LD HL,20592
	LD DE,BatteryConnected
	CALL DrawTile
	
	RET
	
;--------
SlumHouse2_Code
	LD HL,20485
	LD BC,5*256+8
	CALL DrawDoor
	
	LD HL,20501
	LD BC,5*256+8
	CALL DrawDoor
	
	LD C,2
	LD B,3
	LD A,(BasementDoorStatus)
	OR A
	JR Z,SlumHouse1_Code2 ;bars full
	
	LD B,1					;bars cut
SlumHouse1_Code2	
	LD DE,Bars
	LD HL,80*256+54
	CALL TileBlock
	RET
	

;--------
SlumHouse3_Code
	LD HL,20483
	LD BC,5*256+8
	CALL DrawDoor
	LD A,1
	LD (GasStatus),A
	RET
	
;----------------
AliceHouse_Code	
	LD A,(AliceStatus)
	OR A
	JR NZ,AliceHouse_Code2	
	
	LD A,64				;blocking the way with attributes
	LD HL,22528+561			;before player talks to Alice
	LD (HL),A
	

AliceHouse_Code2	
	LD HL,AliceHouseStatus
	LD A,(HL)
	OR A
	RET NZ
;text for the first time location visiting
	INC (HL)		;status=1
	LD A,36
	LD (TextEnterLocation),A
	RET
	
;--------------------	
AliceRoom_Code
	LD HL,20481
	LD BC,5*256+8
	CALL DrawDoor
	
	LD A,(AliceStatus)
	CP 2
	JR NC,AliceRoom_Code2
	
	LD HL,80*256+51
	LD DE,Alice
	CALL DrawTile
	RET
	
AliceRoom_Code2
	LD HL,80*256+212
	LD DE,KidnapNote
	CALL DrawTile
	RET
	
	
	
;--------
Red_1Code
	LD HL,18434
	LD BC,8*256+6
	CALL DrawBorder2
	
	LD HL,NeonStatus
	LD (HL),H
	LD HL,22786
	LD (NeonHL),HL
	LD HL,7*256+5
	LD (NeonSize),HL
	
	LD HL,RedLightTextStatus
	LD A,(HL)
	OR A
	RET NZ
;text for the first time location visiting
	INC (HL)		;status=1
	LD A,42
	LD (TextEnterLocation),A
	RET	
;--------	
Red_2Code
	LD HL,18518
	LD BC,5*256+6
	CALL DrawBorder2
	
	LD HL,NeonStatus
	LD (HL),H
	LD HL,22870
	LD (NeonHL),HL
	LD HL,4*256+5
	LD (NeonSize),HL
	
	LD A,(AliceStatus)
	CP 3
	RET NZ
	
	LD DE,Car				;car appears after kidnap
	LD HL,80*256+114
	CALL DrawTile
	RET
;--------
Red_3Code
	LD HL,20481
	LD BC,5*256+8
	CALL DrawDoor
	
	LD HL,18432+231
	LD BC,12*256+7
	CALL DrawBorder2
	
	LD HL,18432+226
	LD DE,BarText
	CALL TypeText
	
	RET
BarText
 .BYTE 240,130,12,128
 
;--------
RedBarCode
	LD HL,18498
	LD BC,5*256+8
	CALL DrawDoor
	
;draw old man (or not)	
	LD A,(OldManStatus)
	OR A
	RET Z
	LD HL,18432+181
	LD DE,OldManPic
	CALL DrawTile
	RET

;--------
GayClub1Code
	LD HL,18435
	LD BC,26*256+8
	CALL DrawBorder2
	LD HL,18432+107
	LD DE,GayClubText
	CALL TypeText
	RET	
GayClubText
 .BYTE 241,91,56,89,216,204,168,157,239,131,18,71,218,143,67,142,200,0
		
;--------
GayClub2Code
	LD HL,18498
	LD BC,5*256+8
	CALL DrawDoor
	LD HL,18522
	LD BC,5*256+8
	CALL DrawDoor
	RET

;--------
GayClub3Code
	LD HL,20482
	LD BC,5*256+8
	CALL DrawDoor
	
	LD HL,20493
	LD BC,5*256+8
	CALL DrawDoor
	
	LD HL,20500
	LD BC,5*256+8
	CALL DrawDoor
	LD HL,18432+243
	LD DE,BathTubText
	CALL TypeText
	RET
BathTubText
	.BYTE 240,130,13,8,165,66,0
	
;--------
Red_4Code
	LD HL,18433
	LD BC,5*256+6
	CALL DrawBorder2
	
	LD HL,NeonStatus
	LD (HL),H
	LD HL,22785
	LD (NeonHL),HL
	LD HL,4*256+5
	LD (NeonSize),HL
	
	
	LD A,(ManholeStatus)
	CP 4					;status 4 - manhole opened
	RET Z
	
	LD HL,80*256+211
	LD DE,Manhole
	CALL DrawTile
	
	RET


;--------
China1Code
	LD HL,ChinaEnterStatus
	LD A,(HL)
	OR A
	RET NZ
;text for the first time location visiting
	INC (HL)		;status=1
	LD A,43
	LD (TextEnterLocation),A
	RET	
	
;--------
China2Code
	LD HL,20480
	LD BC,5*256+8
	CALL DrawDoor
	
	LD HL,20486
	LD BC,8*256+6
	CALL DrawBorder2
	RET
	
;--------
China3Code
	LD HL,20481
	LD BC,10*256+6
	CALL DrawBorder2
	
	RET
	
;--------
China5Code
	LD HL,20491
	LD BC,9*256+8
	CALL DrawDoor
	
	LD HL,80*256+44
	LD DE,TempleDoor
	LD BC,7*256+6
	CALL TileBlock
	
	
	LD HL,GuardianStatus
	LD A,(HL)
	CP 1
	RET NZ
;guard shouts to Ron if correct status
	INC (HL)		;status=2, so he won't shout again
	LD A,78
	LD (TextEnterLocation),A
	RET	
	
;--------
Temple1Code
	LD HL,18432+162
	LD BC,6*256+8
	CALL DrawDoor
	
	LD HL,18432+184
	LD BC,6*256+8
	CALL DrawDoor
	RET

;---------	
Temple2Code
	LD HL,18432+162
	LD BC,5*256+8
	CALL DrawDoor
	
	LD A,1
	LD (FlamesStatus),A
	
	LD A,(PlaceboStatus)
	CP 2
	JR Z,Temple2Code2		;placebo taken, ready to cross the bridge
	
	LD A,64
	LD (23049),A			;set blockade	
	
Temple2Code2
	LD HL,BridgeEnterStatus
	LD A,(HL)
	OR A
	RET NZ
;text for the first time location visiting
	INC (HL)		;bridge enter status=1
	INC HL
	INC (HL)		;placebo status=1 (Ron knows that he needs it now)
	LD A,104
	LD (TextEnterLocation),A
	RET	
	
;---------	
Temple3Code
	LD HL,18432+185
	LD BC,5*256+8
	CALL DrawDoor
	
	LD A,2
	LD (FlamesStatus),A
	RET
	
;---------
GardenCode	
	LD A,(RoseStatus)
	OR A
	RET NZ
	LD HL,20480+129
	LD DE,GardenPart4			;rose
	CALL DrawTile
	RET

;--------	
Sewers5Code
	LD A,(BarrelStatus)
	OR A
	RET Z	
	LD HL,20480+174
	LD DE,BarrelTop
	CALL DrawTile
	RET
;---------
Sewers6Code
	LD HL,20480+29
	LD A,(SwitchStatus)
	CP 2
	JR Z,Sewers6Code2
	
	LD DE,SwitchUp
	CALL DrawTile
	RET

Sewers6Code2
	LD DE,SwitchDown
	CALL DrawTile
	RET
	
Sewers7Code
	LD A,(SwitchStatus)
	CP 2					;status=2 - opened
	RET Z
	LD HL,18432+130
	LD DE,SewerBarrier
	LD BC,1*256+9
	CALL TileBlock

	RET	
	
;---------------------	
Harbour1Code
	LD A,(BadManStatus)
	OR A
	RET Z	

	LD A,113
	LD (TextEnterLocation),A
	LD (BleedingStatus),A
	RET	
	
;---------------------	
Harbour2Code
	LD A,(BlockadeStatus)
	OR A
	JR NZ,Harbour2Code2
	
	LD HL,18432+227			;draw barrels
	LD DE,Barrel
	LD BC,4*256+4
	CALL TileBlock	
	
Harbour2Code2
	LD A,(BadManStatus)
	OR A
	RET Z	

	LD A,114
	LD (TextEnterLocation),A
	LD (BleedingStatus),A

	RET	
	
;---------------------	
Harbour3Code
	LD A,(BadManStatus)
	OR A
	RET Z
	
	LD A,113
	LD (TextEnterLocation),A
	LD (BleedingStatus),A
	RET	
	
;---------------------	
Harbour4Code
	LD A,(BadManStatus)
	OR A
	JR NZ,Harbour4Code2
	LD DE,Water
	LD HL,20480+113
	CALL DrawTile			;draw water tile to hide the gun
	
	RET
Harbour4Code2
	LD (ShootHereStatus),A	;set that bad guy is here and fires at player
	RET	
	
	
;--------------------------------
Manhole:
	.BYTE 3,1
	.BYTE	  0,  0,  0,  7, 29,106,213,255
	.BYTE	  0,  0,  0,255, 85,168, 64,255
	.BYTE	  0,  0,  0,224, 88,  6,  3,255
	.BYTE	 69,  5,  5
	
	
Electro_Locked:
	.BYTE 3,3
	.BYTE	  0,127, 64, 94, 85, 72, 83, 66
	.BYTE	  0,255,  0,170, 85,  0,255,  0
	.BYTE	  0,254,  2,250,122, 26,202, 82
	.BYTE	 50, 74, 74,  2,122,122,122,  2
	.BYTE	227,199,143,199,227,231,207,223
	.BYTE	 74, 82, 74, 82, 74, 82, 74, 82
	.BYTE	 74, 83, 72, 85, 74, 85, 64,127
	.BYTE	  0,255,  0, 21,170, 85,  0,255
	.BYTE	 74,210, 10, 82,162,  2,  2,254
	.BYTE	  5,  5,  5,  5, 23,  5,  5,  5
	.BYTE	  5
	
Electro_Open:
	.BYTE 3,3
	.BYTE	  0,127, 68, 70, 68, 70, 68, 64
	.BYTE	  0,255, 33, 49, 33, 49, 33,  0
	.BYTE	  0,254,  2,130,  2,130,  2,  2
	.BYTE	 95, 80, 86, 84, 80, 95, 95, 95
	.BYTE	255,132,181,165,132,255,255,213
	.BYTE	250, 50,186, 50, 58,242,234, 82
	.BYTE	 90, 64, 68, 70, 68, 70, 68,127
	.BYTE	170,  0, 33, 49, 33, 49, 33,255
	.BYTE	170,  2,  2,130,  2,130,  2,254
	.BYTE	 69, 69,  5, 69, 69,  5, 69,  5
	.BYTE	  5
	
TempleDoor
	.BYTE 1,1
	.BYTE	 23, 77, 23, 77, 23, 77, 23, 77
	.BYTE	 70
	
WasteLock
	.BYTE 1,1
	.BYTE	  0, 90, 66,124,122, 84, 42,  0
	.BYTE	  7
	

BatteryConnected
	.BYTE 3,3
	.BYTE	 32, 34,  2,  0,  0,  0,  0,  0
	.BYTE	  16
	.BYTE	  16
	.BYTE	  0, 15, 16, 32, 35, 20, 12,  0
	.BYTE	240, 14,  1, 96,144, 16,  8,  8
	.BYTE	  0,  0,128, 64, 32, 32, 16, 16
	.BYTE	  16
	.BYTE	  8,  8,  0, 28,  0,127, 85,  0
	.BYTE	  8,  8,  0, 28,  0,254, 86,  0
	.BYTE	  5,  0,  0,  2,  5,  5, 0, 67
	.BYTE	 67
	
Alice
	.BYTE 2,6
	.BYTE	  0,  0,  7, 15, 16, 15, 31,  4
	.BYTE	  0,  6, 15,155,209, 99,162,164
	.BYTE	 31,  9,  6,  0,  7, 15,  8, 23
	.BYTE	160, 64,  0,  0,  0,128,192, 96
	.BYTE	 55, 51, 37, 14, 14, 29, 59, 48
	.BYTE	160,160, 96,224,224,192,128,  0
	.BYTE	111,106,209,208, 32, 64, 48, 15
	.BYTE	192,160, 96,176, 80,168,112,192
	.BYTE	  0, 11, 11, 11, 11, 11, 11,  5
	.BYTE	  0,192,192,192,192,192,128,128
	.BYTE	  5,  5,  5,  5,  0, 23, 47,  0
	.BYTE	128,128,128,128,  0,128,128,  0
	.BYTE	 71, 71, 71, 71, 71, 71, 71, 71
	.BYTE	 71, 71, 71, 71
	
OldManPic
	.BYTE 3,6
	.BYTE	  16
	.BYTE	  0,  0,  0,  0,  0,  0, 56,124
	.BYTE	  16
	.BYTE	  0,  0,  1,  2,  2,  2,  0,  1
	.BYTE	186,198,127,170,170,128,127,255
	.BYTE	  0,  0,  0,128,128,  0,128,224
	.BYTE	  3,  7, 15, 31, 31, 59, 61,126
	.BYTE	255,255,255,254,255,223,254,223
	.BYTE	240,248,248,252,188,222,214,206
	.BYTE	124,120, 60, 30,  8,  6, 13, 17
	.BYTE	254,255,255,251,247,251,247,187
	.BYTE	238,238,108,236,104,164, 98,177
	.BYTE	 33, 33, 33, 17, 16,  9,  8, 16
	.BYTE	223,191,251,219,251,123,128,172
	.BYTE	113,177,241,242,242,228,  4, 66
	.BYTE	 24, 15,  3,  0,  0,  0,  0,  0
	.BYTE	 36,172, 36, 44, 36, 44, 36, 44
	.BYTE	  6,124, 48,  0,  0,  0,  0,  0
	.BYTE	  0, 71,  0, 71, 71, 71, 71, 71
	.BYTE	 71, 71, 71, 71, 71, 71, 71, 71
	.BYTE	 71, 71
	
KidnapNote
	.BYTE 1,1
	.BYTE	127, 73,127, 69,127, 73,127,  0
	.BYTE	  6
	
BarrelTop:
	.BYTE 2,2
	.BYTE	255,128,128,128,255,  0,128,255
	.BYTE	255, 11,  7, 11,255,  1,  3,255
	.BYTE	128,128,128,128,128,255,  0,255
	.BYTE	 11,  7, 11,  7, 11,255,  1,255
	.BYTE	 48, 48, 48, 48
	
SwitchUp
	.BYTE 2,2
	.BYTE	  6, 15, 15,  6,  0,  0,  0,  0
	.BYTE	  0,  2,  2,130,194, 98, 50, 26
	.BYTE	  16
	.BYTE	 10,  2,  2,  2,  2,  2,  2,  0
	.BYTE	 66,  5,  0,  5
	
SwitchDown
	.BYTE 2,2
	.BYTE	  16
	.BYTE	  0,  2,  2,  2,  2,  2,  2, 10
	.BYTE	  0,  0,  0,  0,  6, 15, 15,  6
	.BYTE	 26, 50, 98,194,130,  2,  2,  0
	.BYTE	  0,  5, 66,  5
	
SewerBarrier:
	.BYTE 1,1
	.BYTE	108, 84,108, 84,108, 84,108, 84
	.BYTE	120
	